version: "3.3"

services:

  mongo_valor_do_dolar:

    image:
      mongo:4.0.4
    container_name: mongo_valor_do_dolar
    ports:
      - 27027:27017
    environment:
      MONGO_INITDB_ROOT_USERNAME: valordodolar
      MONGO_INITDB_ROOT_PASSWORD: ma`T9W;.~QFsCyR)
    networks:
      - nw_valor_do_dolar

  quarkus_valor_do_dolar:
    build:
      context: .
      dockerfile: Dockerfile.jvm
    image:
      legrug/quarkus_valor_do_dolar
    container_name: quarkus_valor_do_dolar
    ports:
      - 2222:8080
    networks:
      - nw_valor_do_dolar
    depends_on:
      - mongo_valor_do_dolar

  jaeger_valor_do_dolar:
    image:
      jaegertracing/all-in-one:latest
    container_name: jaeger_valor_do_dolar
    ports:
    - 5775:5775/udp
    - 6831:6831/udp
    - 6832:6832/udp
    - 5778:5778
    - 16686:16686

networks:
  nw_valor_do_dolar:
    driver: bridge
